package com.migao.controller;

import com.migao.config.response.BasePageRequest;
import com.migao.config.response.PageBeanOne;
import com.migao.config.response.ResponseBean;
import com.migao.entity.vo.req.DemandLibraryInsertReq;
import com.migao.entity.vo.req.DemandLibraryQueryReq;
import com.migao.entity.vo.req.DemandLibraryUpdateReq;
import com.migao.entity.vo.req.DemandSubProjectReq;
import com.migao.entity.vo.res.DemandLibraryPageQueryRes;
import com.migao.entity.vo.res.DemandLibraryQueryRes;
import com.migao.service.DemandLibraryService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.web.bind.annotation.*;

import javax.annotation.Resource;

/**
 * @author dingsong
 */
@Api(tags = "007.需求库模快")
@RestController
@RequestMapping("/demandLibrary")
public class DemandLibraryController {
    @Resource
    DemandLibraryService demandLibraryService;

    @ApiOperation("导入主需求")
    @PostMapping(value = "/insert")
    public ResponseBean<?> insert(@RequestBody DemandLibraryInsertReq demandLibrary){
       return demandLibraryService.insert(demandLibrary);
    }

    @ApiOperation("导入子需求")
    @PostMapping(value = "/insertSubProject")
    public ResponseBean<?> insertSubProject(@RequestBody DemandSubProjectReq demandSubProjectReq) {
        return demandLibraryService.insertSubProject(demandSubProjectReq);
    }

    @ApiOperation("删")
    @PostMapping(value = "/deleteById")
    public ResponseBean<?> deleteById(@RequestParam String id) {
        return demandLibraryService.deleteById(id);
    }

    @ApiOperation("更新需求")
    @PostMapping(value = "/update")
    public ResponseBean<?> update(@RequestBody DemandLibraryUpdateReq libraryUpdateReq) {
        return demandLibraryService.update(libraryUpdateReq);
    }

    @ApiOperation("分页查询所有需求数据")
    @PostMapping(value = "/pageQuery")
    public ResponseBean<PageBeanOne<DemandLibraryPageQueryRes>> pageQuery(@RequestBody BasePageRequest basePageRequest) {
        return demandLibraryService.pageQuery(basePageRequest);
    }

    @ApiOperation("分页查询当前用户需求数据")
    @PostMapping(value = "/pageQueryById")
    public ResponseBean<PageBeanOne<DemandLibraryPageQueryRes>> pageQueryById(@RequestBody BasePageRequest basePageRequest) {
        return demandLibraryService.pageQueryById(basePageRequest);
    }

    @ApiOperation("分页模糊查询所有需求数据")
    @PostMapping(value = "/pageQueryOne")
    public ResponseBean<PageBeanOne<DemandLibraryPageQueryRes>> pageQueryOne(@RequestBody DemandLibraryQueryReq demandLibraryQuery) {
        return demandLibraryService.pageQueryOne(demandLibraryQuery);
    }

    @ApiOperation("分页模糊查询当前用户需求数据")
    @PostMapping(value = "/pageQueryOneById")
    public ResponseBean<PageBeanOne<DemandLibraryPageQueryRes>> pageQueryOneById(@RequestBody DemandLibraryQueryReq demandLibraryQuery) {
        return demandLibraryService.pageQueryOneById(demandLibraryQuery);
    }

    @ApiOperation("查询单条需求数据")
    @PostMapping(value = "/findById")
    public ResponseBean<DemandLibraryQueryRes> findById(@RequestParam String id) {
        return demandLibraryService.findById(id);
    }
}
