package com.migao.controller;


import com.migao.config.response.PageBean;
import com.migao.config.response.ResponseBean;
import com.migao.config.validation.Insert;
import com.migao.config.validation.Update;
import com.migao.entity.vo.req.*;
import com.migao.entity.vo.res.ProjecappendQueryRes;

import com.migao.service.ProjectAppendService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.*;
import javax.annotation.Resource;
import java.util.List;

@Api(tags = "012.项目附加项")
@RestController
@RequestMapping("/projectAppend")
public class ProjectAppendController {

    @Resource
    private ProjectAppendService projectAppendService;

    @ApiOperation("新增")
    @PostMapping(value = "/insert")
    public ResponseBean<?> insert(
            @Validated(value = {Insert.class}) @RequestBody ProjecappendInsertReq projecappendInsertReq
    ) {
        return projectAppendService.insert(projecappendInsertReq);
    }


    @ApiOperation("删除")
    @PostMapping(value = "/deleteById")
    public ResponseBean<?> deleteById(
            @RequestParam Integer id
    ) {
        return projectAppendService.deleteById(id);
    }


    @ApiOperation("批量删除")
    @PostMapping(value = "/deleteBatch")
    public ResponseBean<?> deleteBatch(
            @RequestBody List<Integer> ids
    ) {
        return projectAppendService.deleteBatch(ids);
    }


    @ApiOperation("修改")
    @PostMapping(value = "/update")
    public ResponseBean<?> update(
            @Validated(value = {Update.class}) @RequestBody ProjecappendUpdateReq projecappendUpdateReq
    ) {
        return projectAppendService.update(projecappendUpdateReq);
    }


    @ApiOperation("分页查询")
    @PostMapping(value = "/pageQuery")
    public ResponseBean<PageBean<ProjecappendQueryRes>> pageQuery(
            @RequestBody ProjecappendPageQueryReq projecappendPageQueryReq
    ) {
        return projectAppendService.pageQuery(projecappendPageQueryReq);
    }

    @ApiOperation("查")
    @PostMapping(value = "/query")
    public ResponseBean<List<ProjecappendQueryRes>> query(
            @RequestBody ProjecappendQueryReq projecappendQueryReq
    ) {
        return projectAppendService.query(projecappendQueryReq);
    }

}
