package com.migao.controller;


import com.migao.config.response.PageBean;
import com.migao.config.response.ResponseBean;
import com.migao.config.validation.Insert;
import com.migao.config.validation.Update;


import com.migao.entity.vo.req.ProjecfieldInsertReq;
import com.migao.entity.vo.req.ProjecfieldPageQueryReq;
import com.migao.entity.vo.req.ProjecfieldUpdateReq;
import com.migao.entity.vo.res.ProjecfieldQueryRes;
import com.migao.service.ProjectFieldService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import io.swagger.annotations.ApiOperationSupport;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.*;
import javax.annotation.Resource;
import java.util.List;

@Api(tags = "008.项目字段")
@RestController
@RequestMapping("/projectField")
public class ProjectFieldController {

    @Resource
    private ProjectFieldService projectFieldService;

    @ApiOperationSupport(order = 2)
    @ApiOperation("新增")
    @PostMapping(value = "/insert")
    public ResponseBean<?> insert(
            @Validated(value = {Insert.class}) @RequestBody ProjecfieldInsertReq projecfieldInsertReq
    ) {
        return projectFieldService.insert(projecfieldInsertReq);
    }

    @ApiOperationSupport(order = 3)
    @ApiOperation("删除")
    @PostMapping(value = "/deleteById")
    public ResponseBean<?> deleteById(
            @RequestParam Integer id
    ) {
        return projectFieldService.deleteById(id);
    }

    @ApiOperationSupport(order = 4)
    @ApiOperation("批量删除")
    @PostMapping(value = "/deleteBatch")
    public ResponseBean<?> deleteBatch(
            @RequestBody List<Integer> ids
    ) {
        return projectFieldService.deleteBatch(ids);
    }

    @ApiOperationSupport(order = 5)
    @ApiOperation("修改")
    @PostMapping(value = "/update")
    public ResponseBean<?> update(
            @Validated(value = {Update.class}) @RequestBody ProjecfieldUpdateReq projecfieldUpdateReq
    ) {
        return projectFieldService.update(projecfieldUpdateReq);
    }

    @ApiOperationSupport(order = 1)
    @ApiOperation("分页查询")
    @PostMapping(value = "/pageQuery")
    public ResponseBean<PageBean<ProjecfieldQueryRes>> pageQuery(
            @RequestBody ProjecfieldPageQueryReq projecfieldPageQueryReq
    ) {
        return projectFieldService.pageQuery(projecfieldPageQueryReq);
    }

    @ApiOperationSupport(order = 6)
    @ApiOperation("根据id查询")
    @PostMapping(value = "/findById")
    public ResponseBean<?> findById(
            @RequestParam Integer id
    ) {
        return projectFieldService.findById(id);
    }
}
