package com.migao.controller;


import com.migao.config.response.PageBean;
import com.migao.config.response.ResponseBean;
import com.migao.config.validation.Insert;
import com.migao.config.validation.Update;
import com.migao.entity.vo.req.*;
import com.migao.entity.vo.res.ProjecfieldQueryRes;
import com.migao.service.ProjectFieldService;
import com.migao.service.ProjectStageService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import io.swagger.annotations.ApiOperationSupport;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.*;

import javax.annotation.Resource;
import java.util.List;

@Api(tags = "013.项目阶段")
@RestController
@RequestMapping("/projectStage")
public class ProjectStageController {

    @Resource
    private ProjectStageService projectStageService;

    @ApiOperationSupport(order = 2)
    @ApiOperation("新增")
    @PostMapping(value = "/insert")
    public ResponseBean<?> insert(
            @Validated(value = {Insert.class}) @RequestBody ProjectStageInsertReq projectStageInsertReq
    ) {
        return projectStageService.insert(projectStageInsertReq);
    }

    @ApiOperationSupport(order = 3)
    @ApiOperation("删除")
    @PostMapping(value = "/deleteById")
    public ResponseBean<?> deleteById(
            @RequestParam Integer id
    ) {
        return projectStageService.deleteById(id);
    }

    @ApiOperationSupport(order = 4)
    @ApiOperation("批量删除")
    @PostMapping(value = "/deleteBatch")
    public ResponseBean<?> deleteBatch(
            @RequestBody List<Integer> ids
    ) {
        return projectStageService.deleteBatch(ids);
    }

    @ApiOperationSupport(order = 5)
    @ApiOperation("修改")
    @PostMapping(value = "/update")
    public ResponseBean<?> update(
            @Validated(value = {Update.class}) @RequestBody ProjectStageUpdateReq projectStageUpdateReq
    ) {
        return projectStageService.update(projectStageUpdateReq);
    }

    @ApiOperationSupport(order = 1)
    @ApiOperation("分页查询")
    @PostMapping(value = "/pageQuery")
    public ResponseBean<PageBean<ProjecfieldQueryRes>> pageQuery(
            @RequestBody ProjectStagePageQueryReq projectStagePageQueryReq
    ) {
        return projectStageService.pageQuery(projectStagePageQueryReq);
    }

    @ApiOperationSupport(order = 6)
    @ApiOperation("根据id查询")
    @PostMapping(value = "/findById")
    public ResponseBean<?> findById(
            @RequestParam Integer id
    ) {
        return projectStageService.findById(id);
    }
}
