package com.migao.controller;


import com.migao.config.response.PageBean;
import com.migao.config.response.ResponseBean;
import com.migao.config.validation.Insert;
import com.migao.config.validation.Update;

import com.migao.entity.vo.req.ProjectTypeInsertReq;
import com.migao.entity.vo.req.ProjectTypePageQueryReq;
import com.migao.entity.vo.req.ProjectTypeQueryReq;
import com.migao.entity.vo.req.ProjectTypeUpdateReq;
import com.migao.entity.vo.res.ProjectTypeQueryRes;
import com.migao.service.ProjectTypeService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import io.swagger.annotations.ApiOperationSupport;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.*;
import javax.annotation.Resource;
import java.util.List;

@Api(tags = "007.项目类型管理")
@RestController
@RequestMapping("/projectType")
public class ProjectTypeController {

    @Resource
    private ProjectTypeService projectTypeService;

    @ApiOperationSupport(order =2)
    @ApiOperation("新增")
    @PostMapping(value = "/insert")
    public ResponseBean<?> insert(
            @Validated(value = {Insert.class}) @RequestBody ProjectTypeInsertReq projectTypeInsertReq
    ) {
        return projectTypeService.insert(projectTypeInsertReq);
    }

    @ApiOperationSupport(order =3)
    @ApiOperation("删除")
    @PostMapping(value = "/deleteById")
    public ResponseBean<?> deleteById(
            @RequestParam Integer id
    ) {
        return projectTypeService.deleteById(id);
    }

    @ApiOperationSupport(order =4)
    @ApiOperation("批量删除")
    @PostMapping(value = "/deleteBatch")
    public ResponseBean<?> deleteBatch(
            @RequestBody List<Integer> ids
    ) {
        return projectTypeService.deleteBatch(ids);
    }

    @ApiOperationSupport(order =5)
    @ApiOperation("修改")
    @PostMapping(value = "/update")
    public ResponseBean<?> update(
            @Validated(value = {Update.class}) @RequestBody ProjectTypeUpdateReq projectTypeUpdateReq
    ) {
        return projectTypeService.update(projectTypeUpdateReq);
    }

    @ApiOperationSupport(order =1)
    @ApiOperation("分页查")
    @PostMapping(value = "/pageQuery")
    public ResponseBean<PageBean<ProjectTypeQueryRes>> pageQuery(
            @RequestBody ProjectTypePageQueryReq projectTypePageQueryReq
    ) {
        return projectTypeService.pageQuery(projectTypePageQueryReq);
    }
    @ApiOperationSupport(order =6)
    @ApiOperation("根据id查询详情")
    @PostMapping(value = "/findById")
    public ResponseBean<?> findById(
            @RequestParam Integer id
    ) {
        return projectTypeService.findById(id);
    }

}
