package com.migao.entity.po;

import com.baomidou.mybatisplus.annotation.*;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import javax.persistence.*;
import java.io.Serializable;
import java.math.BigDecimal;
import java.time.LocalDateTime;
import java.util.ArrayList;
import java.util.List;

/**
 * @author dingsong
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@Builder
@Entity
@Table(name = "t_demand_library")
@org.hibernate.annotations.Table(appliesTo = "t_demand_library", comment = "需求库")
@TableName("t_demand_library")
public class DemandLibrary implements Serializable {
    @Id
    @TableId(type = IdType.AUTO)
    @GeneratedValue(strategy = GenerationType.IDENTITY)
    private Integer id;

    @Column(columnDefinition = "int(11) comment '父项目id'")
    private Integer subProjectId;

    @Column(columnDefinition = "int(11) comment '需求编号'")
    private String demandNumber;

    @Column(columnDefinition = "varchar(255) comment '需求名称'")
    private String demandName;

    @Column(columnDefinition = "text comment '需求内容'")
    private String demandContent;

    @Column(columnDefinition = "int(11) comment '需求分类id'")
    private Integer demandClassId;

    @Column(columnDefinition = "varchar(11) comment '提交单位'")
    private String unitName;

    @Column(columnDefinition = "tinyint(1) comment '需求状态 -1废除 0立项 1认领'")
    private Integer demandStatus;

    @Column(columnDefinition = "decimal comment '需求进度'")
    private BigDecimal demandSchedule;

    @Column(columnDefinition = "int(11) comment '关联项目id'")
    private Integer associatedProjectId;

    @Column(columnDefinition = "varchar(11) comment '提交人'")
    private String submitter;

    @Column(columnDefinition = "timestamp DEFAULT CURRENT_TIMESTAMP comment '提交时间'")
    private LocalDateTime submitTime;

    @TableField(fill = FieldFill.INSERT_UPDATE)
    @Column(columnDefinition = "tinyint(1) comment '逻辑删除 0未删除 1已删除'")
    private Integer deleted;

    @JoinColumn(name = "create_user_id", columnDefinition = "bigint(20) comment '新增人'")
    private Integer createUserId;
}
