package com.migao.entity.po;

import com.baomidou.mybatisplus.annotation.*;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import javax.persistence.*;
import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * @author dingsong
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@Builder
@Entity
@Table(name = "t_message")
@org.hibernate.annotations.Table(appliesTo = "t_message", comment = "我的消息")
@TableName("t_message")
public class Message implements Serializable {
    @Id
    @TableId(type = IdType.AUTO)
    @GeneratedValue(strategy = GenerationType.IDENTITY)
    private Integer id;

    @Column(columnDefinition = "int(11) comment '消息序号'")
    private Integer messageNumber;

    @Column(columnDefinition = "varchar(255) comment '标题'")
    private String name;

    @Column(columnDefinition = "varchar(255) comment '内容'")
    private String content;

    @Column(columnDefinition = "int(11) comment '发送人id'")
    private Integer sendUserId;

    @Column(columnDefinition = "int(11) comment '接收人id'")
    private Integer acceptUserId;

    @Column(columnDefinition = "varchar(255) comment '设计项目'")
    private String designProject;

    @Column(columnDefinition = "int(11) comment '通知类型id'")
    private Integer messageTypeId;

    @Column(columnDefinition = "tinyint(1) comment '读取状态 0未读 1已读'")
    private Integer status;

    @Column(columnDefinition = "timestamp DEFAULT CURRENT_TIMESTAMP comment '创建时间'")
    private LocalDateTime createTime;

    @TableField(fill = FieldFill.INSERT_UPDATE)
    @Column(columnDefinition = "tinyint(1) comment '逻辑删除 0未删除 1已删除'")
    private Integer deleted;
}
