package com.migao.entity.po;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import javax.persistence.*;

/**
 *
 * @author : lcl
 * @date : 2020/10/26 10:17
 */

@Data
@NoArgsConstructor
@AllArgsConstructor
@Builder
@Entity
@Table(name = "t_project_append")
@org.hibernate.annotations.Table(appliesTo = "t_project_append", comment = "项目附加表")
@TableName("t_project_append")
public class ProjectAppend {

    @Id
    @TableId(type = IdType.AUTO)
    @GeneratedValue(strategy = GenerationType.IDENTITY)
    @Column(name = "id", columnDefinition = "int COMMENT '主键'")
    private Integer id;

    @Column(name = "procurement_no", columnDefinition = "varchar(255) comment '采购编号'")
    private String procurementNo;

    @Column(name = "no", columnDefinition = "varchar(255) comment '项目编号'")
    private String no;

    @Column(name = "big_code", columnDefinition = "varchar(255) comment '大工程编码'")
    private String bigCode;

    @Column(name = "name", columnDefinition = "varchar(255) comment '大工程名称'")
    private String name;

    @Column(name = "voltage", columnDefinition = "varchar(255) comment '电压等级'")
    private String voltage;

    @Column(name = "content", columnDefinition = "varchar(255) comment '服务内容'")
    private String content;

    @Column(name = "nature", columnDefinition = "varchar(255) comment '工程性质'")
    private String nature;

    @Column(name = "time", columnDefinition = "varchar(255) comment '设计施工监理工期'")
    private String time;

    @Column(name = "technical", columnDefinition = "varchar(255) comment '技术规范书ID'")
    private String technical;

    @Column(name = "suggest", columnDefinition = "varchar(255) comment '特定资格业绩建议'")
    private String suggest;

    @Column(name = "versions", columnDefinition = "varchar(255) comment '合同版本'")
    private String versions;

    @Column(name = "department", columnDefinition = "varchar(255) comment '重庆市电力公司项目管理部门'")
    private String department;

    @Column(name = "total", columnDefinition = "varchar(255) comment '项目总投资（万元）'")
    private String total;

    @Column(name = "limited", columnDefinition = "varchar(255) comment '招标限价含税（万元）'")
    private String limited;

    @Column(name = "if_purchase", columnDefinition = "varchar(255) comment '是/否履行采购流程手续'")
    private String ifPurchase;

    @Column(name = "if_approve", columnDefinition = "varchar(255) comment '是/否完项目核准或审批手续'")
    private String ifApprove;

    @Column(name = "examine", columnDefinition = "varchar(255) comment '项目核准'")
    private String examine;

    @Column(name = "give", columnDefinition = "varchar(255) comment '可研批复'")
    private String give;

    @Column(name = "appraisal", columnDefinition = "varchar(255) comment '初步设计评审'")
    private String appraisal;

    @Column(name = "official", columnDefinition = "varchar(255) comment '初设批复'")
    private String official;

    @Column(name = "remark", columnDefinition = "varchar(255) comment '备注'")
    private String remark;

    @Column(name = "project_departmente", columnDefinition = "varchar(255) comment '项目部门'")
    private String projectDepartment;

    @Column(name = "linkman", columnDefinition = "varchar(255) comment '联系人'")
    private String linkman;
}
