package com.migao.entity.po;

import com.baomidou.mybatisplus.annotation.*;
import com.migao.config.constant.ProjectStatus;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import javax.persistence.*;
import java.math.BigDecimal;
import java.time.LocalDateTime;


@Data
@NoArgsConstructor
@AllArgsConstructor
@Builder
@Entity
@Table(name = "t_project_archives")
@org.hibernate.annotations.Table(appliesTo = "t_project_archives", comment = "项目文档表")
@TableName("t_project_archives")
public class ProjectArchives {

    @Id
    @TableId(type = IdType.AUTO)
    @GeneratedValue(strategy = GenerationType.IDENTITY)
    @Column(name = "id", columnDefinition = "int COMMENT '主键'")
    private Integer id;

    @Column(name = "file_id", columnDefinition = "int COMMENT '文件id'")
    private Integer fileId;

    @Column(name = "project_id", columnDefinition = "int COMMENT '项目id'")
    private Integer projectId;

    @Column(name = "archives_id", columnDefinition = "int COMMENT '文档id'")
    private Integer archivesId;

    @TableField(fill = FieldFill.INSERT_UPDATE)
    @Column(name = "deleted", columnDefinition = "tinyint(4) comment '逻辑删除 0未删除 1已删除'")
    private Integer deleted;

    @Column(name = "create_time", columnDefinition = "timestamp DEFAULT CURRENT_TIMESTAMP comment '储备年份'")
    private LocalDateTime createTime;

    @JoinColumn(name = "create_user_id", columnDefinition = "bigint(20) comment '新增人'")
    private Integer createUserId;
}
