package com.migao.entity.po;

import com.baomidou.mybatisplus.annotation.*;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import javax.persistence.*;
import java.io.Serializable;
import java.time.LocalDateTime;

@Data
@NoArgsConstructor
@AllArgsConstructor
@Builder
@Entity
@Table(name = "t_project_member")
@org.hibernate.annotations.Table(appliesTo = "t_project_member", comment = "项目成员")
@TableName("t_project_member")
public class ProjectMember implements Serializable {


    @Id
    @TableId(type = IdType.AUTO)
    @GeneratedValue(strategy = GenerationType.IDENTITY)
    @Column(name = "id", columnDefinition = "int COMMENT '主键'")
    private Integer id;

    @Column(name = "project_id", columnDefinition = "int COMMENT '项目编码'")
    private Integer projectId;

    @Column(name = "name", columnDefinition = "varchar(255) comment '项目名称'")
    private String name;

    @Column(name = "username", columnDefinition = "varchar(255) comment '用户名称'")
    private String username;

    @Column(name = "department_name", columnDefinition = "varchar(255) comment '部门'")
    private String departmentName;

    @Column(name = "is_signed", columnDefinition = "varchar(255) comment '是否签署保密协议'")
    private String isSigned ;


    @TableField(fill = FieldFill.INSERT_UPDATE)
    @Column(name = "deleted", columnDefinition = "tinyint(4) comment '逻辑删除 0未删除 1已删除'")
    private Integer deleted;

    @Column(name = "create_time", columnDefinition = "timestamp DEFAULT CURRENT_TIMESTAMP comment '储备年份'")
    private LocalDateTime createTime;

    @JoinColumn(name = "create_user_id", columnDefinition = "bigint(20) comment '新增人'")
    private Integer createUserId;
}
