package com.migao.entity.po;

import com.baomidou.mybatisplus.annotation.*;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import javax.persistence.*;
import java.io.Serializable;
import java.math.BigDecimal;
import java.time.LocalDateTime;


@Data
@NoArgsConstructor
@AllArgsConstructor
@Builder
@Entity
@Table(name = "t_project_type")
@org.hibernate.annotations.Table(appliesTo = "t_project_type", comment = "项目类型表")
@TableName("t_project_type")
public class ProjectType implements Serializable {
    @Id
    @TableId(type = IdType.AUTO)
    @GeneratedValue(strategy = GenerationType.IDENTITY)
    @Column(name = "id", columnDefinition = "int COMMENT '主键'")
    private Integer id;

    @Column(name = "stage_id", columnDefinition = "bigint(20) comment '阶段id'")
    private Integer stageId;

    @Column(name = "parent_id", columnDefinition = "bigint(20) comment '父id'")
    private Integer parentId;

    @Column(name = "type", columnDefinition = "varchar(255) comment '类型标识'")
    private String type;

    @Column(name = "value", columnDefinition = "varchar(255) comment '值'")
    private String value;

    @Column(name = "part_number", columnDefinition = "bigint(20) comment '环节数量'")
    private Integer part_number;

    @Column(name = "document_number", columnDefinition = "bigint(20) comment '文档数量'")
    private Integer document_number;

    @TableField(fill = FieldFill.INSERT_UPDATE)
    @Column(name = "deleted", columnDefinition = "tinyint(4) comment '逻辑删除 0未删除 1已删除'")
    private Integer deleted;

    @Column(name = "create_time", columnDefinition = "timestamp DEFAULT CURRENT_TIMESTAMP comment '创建时间'")
    private LocalDateTime createTime;

    @JoinColumn(name = "create_user_id", columnDefinition = "bigint(20) comment '新增人'")
    private Integer createUserId;
}
