package com.migao.entity.po;

import com.baomidou.mybatisplus.annotation.*;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import javax.persistence.*;
import java.io.Serializable;
import java.time.LocalDateTime;


@Data
@NoArgsConstructor
@AllArgsConstructor
@Builder
@Entity
@Table(name = "t_user_role")
@TableName("t_user_role")
@org.hibernate.annotations.Table(appliesTo = "t_user_role", comment = "用户角色表")
public class UserRole implements Serializable {

    @Id
    @TableId(type = IdType.AUTO)
    @GeneratedValue(strategy = GenerationType.IDENTITY)
    @Column(name = "id", columnDefinition = "int COMMENT '主键'")
    private Integer id;

    @Column(name = "user_id", columnDefinition = "int  comment '用户id'")
    private Integer userId;

    @Column(name = "role_id", columnDefinition = "int  comment '角色id'")
    private Integer roleId;

}