package com.migao.entity.vo.req;

import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.NotNull;
import java.math.BigDecimal;
import java.time.LocalDateTime;
import java.util.ArrayList;
import java.util.List;

/**
 * @author dingsong
 */
@NoArgsConstructor
@AllArgsConstructor
@Builder
@Data
public class DemandLibraryUpdateReq {
    @ApiModelProperty(value = "主键")
    @NotNull(message = "主键不能为空")
    private Integer id;

    @ApiModelProperty(value = "需求名称")
    @NotEmpty(message = "需求名称不能为空")
    private String demandName;

    @ApiModelProperty(value = "需求内容")
    @NotEmpty(message = "需求内容不能为空")
    private String demandContent;

    @ApiModelProperty(value = "需求分类id")
    @NotNull(message = "需求分类id不能为空")
    private Integer demandClassId;

    @ApiModelProperty(value = "提交单位")
    @NotEmpty(message = "提交单位不能为空")
    private String unitName;

    @ApiModelProperty(value = "需求状态 -1废除 0立项 1认领")
    @NotNull(message = "需求状态不能为空")
    private Integer demandStatus;

    @ApiModelProperty(value = "需求进度")
    @NotNull(message = "需求进度不能为空")
    private BigDecimal demandSchedule;

    @ApiModelProperty(value = "关联项目id")
    @NotNull(message = "关联项目id不能为空")
    private Integer associatedProjectId;

    @ApiModelProperty(value = "提交人")
    @NotEmpty(message = "提交人")
    private String submitter;

    @ApiModelProperty(value = "提交时间")
    @NotNull(message = "提交时间不能为空")
    private LocalDateTime submitTime;

    /**
     * 附件
     */
    private List<Integer> fileId = new ArrayList<>();

    /**
     * 子项目
     */
    private List<Integer> subProjectId = new ArrayList<>();
}
