package com.migao.entity.vo.req;

import com.migao.config.response.BasePageRequest;
import lombok.*;
import io.swagger.annotations.ApiModelProperty;
import java.time.LocalDateTime;

/**
 * @version 1.0
 * @Author lcl
 * @Date 2020/10/20 14:20
 */
@NoArgsConstructor
@AllArgsConstructor
@Data
public class FinancesPageQueryReq extends BasePageRequest {

    @ApiModelProperty(value = "主键")
    private Integer id;
    @ApiModelProperty(value = "上级代付（大额支付）")
    private String another;
    @ApiModelProperty(value = "收款单位银行账号-银行存款")
    private String bankAccount;
    @ApiModelProperty(value = "收款单位银行账号-电子汇票（大额支付必填）")
    private String bankAccountDrafts;
    @ApiModelProperty(value = "收款单位开户行-银行存款")
    private String bankAddress;
    @ApiModelProperty(value = "收款单位开户行-电子汇票（大额支付必填）")
    private String bankAddressDrafts;
    @ApiModelProperty(value = "收款单位开户联行号-银行存款")
    private String bankNumber;
    @ApiModelProperty(value = "收款单位开户联行号-电子汇票（大额支付必填）")
    private String bankNumberDrafts;
    @ApiModelProperty(value = "收款单位名称")
    private String companyNme;
    @ApiModelProperty(value = "合同金额（元）")
    private String contractMoney;
    @ApiModelProperty(value = "创建时间")
    private LocalDateTime createTime;
    @ApiModelProperty(value = "")
    private Integer createUserId;
    @ApiModelProperty(value = "逻辑删除 0未删除 1已删除")
    private Integer deleted;
    @ApiModelProperty(value = "财务报表")
    private String financial;
    @ApiModelProperty(value = "预算项目名称")
    private String name;
    @ApiModelProperty(value = "收款单位供应商编码")
    private String no;
    @ApiModelProperty(value = "采购组织(S201：工程服务，S202：维修服务）")
    private String organization;
    @ApiModelProperty(value = "付款金额（元）")
    private String payMoney;
    @ApiModelProperty(value = "付款订单编号")
    private String payNo;
    @ApiModelProperty(value = "项目编码")
    private Integer projectId;
    @ApiModelProperty(value = "erp采购订单号")
    private String purchaseNo;
    @ApiModelProperty(value = "预计付款时间")
    private LocalDateTime remitTime;
    @ApiModelProperty(value = "状态")
    private String status;
    @ApiModelProperty(value = "填报专责")
    private String username;

}
