package com.migao.entity.vo.req;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.time.LocalDateTime;
import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.NotNull;
import io.swagger.annotations.ApiModelProperty;

/**
 * @version 1.0
 * @Author lcl
 * @Date 2020/10/20 14:20
 */
@NoArgsConstructor
@AllArgsConstructor
@Builder
@Data
public class MilestoneUpdateReq {

    @ApiModelProperty(value = "主键")
        @NotNull(message = "主键不能为空")
    private Integer id;
    @ApiModelProperty(value = "创建时间")
        @NotNull(message = "创建时间不能为空")
    private LocalDateTime createTime;
    @ApiModelProperty(value = "")
        @NotNull(message = "不能为空")
    private Integer createUserId;
    @ApiModelProperty(value = "逻辑删除 0未删除 1已删除")
        @NotNull(message = "逻辑删除 0未删除 1已删除不能为空")
    private Integer deleted;
    @ApiModelProperty(value = "结束时间")
        @NotNull(message = "结束时间不能为空")
    private LocalDateTime endTime;
    @ApiModelProperty(value = "名称")
        @NotEmpty(message = "名称不能为空")
    private String name;
    @ApiModelProperty(value = "项目id")
        @NotNull(message = "项目id不能为空")
    private Integer projectId;
    @ApiModelProperty(value = "进度")
        @NotEmpty(message = "进度不能为空")
    private String schedule;
    @ApiModelProperty(value = "状态")
        @NotEmpty(message = "状态不能为空")
    private String status;

}