package com.migao.entity.vo.req;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.time.LocalDateTime;
import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.NotNull;
import io.swagger.annotations.ApiModelProperty;

/**
 * @version 1.0
 * @Author lcl
 * @Date 2020/4/10 14:20
 */
@NoArgsConstructor
@AllArgsConstructor
@Builder
@Data
public class ProjecappendUpdateReq {

    @ApiModelProperty(value = "主键")
        @NotNull(message = "主键不能为空")
    private Integer id;
    @ApiModelProperty(value = "初步设计评审")
        @NotEmpty(message = "初步设计评审不能为空")
    private String appraisal;
    @ApiModelProperty(value = "大工程编码")
        @NotEmpty(message = "大工程编码不能为空")
    private String bigCode;
    @ApiModelProperty(value = "服务内容")
        @NotEmpty(message = "服务内容不能为空")
    private String content;
    @ApiModelProperty(value = "重庆市电力公司项目管理部门")
        @NotEmpty(message = "重庆市电力公司项目管理部门不能为空")
    private String department;
    @ApiModelProperty(value = "项目核准")
        @NotEmpty(message = "项目核准不能为空")
    private String examine;
    @ApiModelProperty(value = "可研批复")
        @NotEmpty(message = "可研批复不能为空")
    private String give;
    @ApiModelProperty(value = "是/否完项目核准或审批手续")
        @NotEmpty(message = "是/否完项目核准或审批手续不能为空")
    private String ifApprove;
    @ApiModelProperty(value = "是/否履行采购流程手续")
        @NotEmpty(message = "是/否履行采购流程手续不能为空")
    private String ifPurchase;
    @ApiModelProperty(value = "招标限价含税（万元）")
        @NotEmpty(message = "招标限价含税（万元）不能为空")
    private String limited;
    @ApiModelProperty(value = "联系人")
        @NotEmpty(message = "联系人不能为空")
    private String linkman;
    @ApiModelProperty(value = "大工程名称")
        @NotEmpty(message = "大工程名称不能为空")
    private String name;
    @ApiModelProperty(value = "工程性质")
        @NotEmpty(message = "工程性质不能为空")
    private String nature;
    @ApiModelProperty(value = "项目编号")
        @NotEmpty(message = "项目编号不能为空")
    private String no;
    @ApiModelProperty(value = "初设批复")
        @NotEmpty(message = "初设批复不能为空")
    private String official;
    @ApiModelProperty(value = "采购编号")
        @NotEmpty(message = "采购编号不能为空")
    private String procurementNo;
    @ApiModelProperty(value = "项目部门")
        @NotEmpty(message = "项目部门不能为空")
    private String projectDepartment;
    @ApiModelProperty(value = "备注")
        @NotEmpty(message = "备注不能为空")
    private String remark;
    @ApiModelProperty(value = "特定资格业绩建议")
        @NotEmpty(message = "特定资格业绩建议不能为空")
    private String suggest;
    @ApiModelProperty(value = "技术规范书ID")
        @NotEmpty(message = "技术规范书ID不能为空")
    private String technical;
    @ApiModelProperty(value = "设计施工监理工期")
        @NotEmpty(message = "设计施工监理工期不能为空")
    private String time;
    @ApiModelProperty(value = "项目总投资（万元）")
        @NotEmpty(message = "项目总投资（万元）不能为空")
    private String total;
    @ApiModelProperty(value = "合同版本")
        @NotEmpty(message = "合同版本不能为空")
    private String versions;
    @ApiModelProperty(value = "电压等级")
        @NotEmpty(message = "电压等级不能为空")
    private String voltage;

}