package com.migao.entity.vo.req;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.time.LocalDateTime;
import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.NotNull;
import io.swagger.annotations.ApiModelProperty;

/**
 * @version 1.0
 * @Author lcl
 * @Date 2020/10/20 14:20
 */
@NoArgsConstructor
@AllArgsConstructor
@Builder
@Data
public class ProjecmemberUpdateReq {

    @ApiModelProperty(value = "主键")
        @NotNull(message = "主键不能为空")
    private Integer id;
    @ApiModelProperty(value = "储备年份")
        @NotNull(message = "储备年份不能为空")
    private LocalDateTime createTime;
    @ApiModelProperty(value = "")
        @NotNull(message = "不能为空")
    private Integer createUserId;
    @ApiModelProperty(value = "逻辑删除 0未删除 1已删除")
        @NotNull(message = "逻辑删除 0未删除 1已删除不能为空")
    private Integer deleted;
    @ApiModelProperty(value = "部门")
        @NotEmpty(message = "部门不能为空")
    private String departmentName;
    @ApiModelProperty(value = "是否签署保密协议")
        @NotEmpty(message = "是否签署保密协议不能为空")
    private String isSigned;
    @ApiModelProperty(value = "项目名称")
        @NotEmpty(message = "项目名称不能为空")
    private String name;
    @ApiModelProperty(value = "项目编码")
        @NotNull(message = "项目编码不能为空")
    private Integer projectId;

}