package com.migao.entity.vo.req;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import javax.validation.constraints.NotEmpty;
import java.time.LocalDateTime;
import javax.validation.constraints.NotNull;


/**
 * @version 1.0
 * @Author lcl
 * @Date 2020/10/20 14:20
 */
@NoArgsConstructor
@AllArgsConstructor
@Builder
@Data
public class PurchasingApprovalInsertReq {

        @ApiModelProperty(value = "主键")
            @NotNull(message = "主键不能为空")
        private Integer id;
        @ApiModelProperty(value = "创建时间")
            @NotNull(message = "创建时间不能为空")
        private LocalDateTime createTime;
        @ApiModelProperty(value = "")
            @NotNull(message = "不能为空")
        private Integer createUserId;
        @ApiModelProperty(value = "逻辑删除 0未删除 1已删除")
            @NotNull(message = "逻辑删除 0未删除 1已删除不能为空")
        private Integer deleted;
        @ApiModelProperty(value = "父id")
            @NotNull(message = "父id不能为空")
        private Long parentId;
        @ApiModelProperty(value = "采购阶段")
            @NotEmpty(message = "采购阶段不能为空")
        private String stage;
        @ApiModelProperty(value = "完成状态")
            @NotEmpty(message = "完成状态不能为空")
        private String status;

}
