package com.migao.entity.vo.req;

import com.alibaba.excel.annotation.ExcelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.time.LocalDateTime;
import java.util.Date;

/**
 * @author dingsong
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@Builder
public class SupplierExcelReq {
    /**
     * 公司名称
     */
    @ExcelProperty(index = 0)
    private String name;

    /**
     * 公司资质
     */
    @ExcelProperty(index = 1)
    private String companyAlbum;

    /**
     * 公司规模
     */
    @ExcelProperty(index = 2)
    private String companySize;

    /**
     *执照编号
     */
    @ExcelProperty(index = 3)
    private String licenseNumber;

    /**
     * 法人姓名
     */
    @ExcelProperty(index = 4)
    private String legalPersonName;

    /**
     * 法人手机号1
     */
    @ExcelProperty(index = 5)
    private String phoneOne;

    /**
     * 法人手机号2
     */
    @ExcelProperty(index = 6)
    private String phoneTwo;

    /**
     * 负责人手机号
     */
    @ExcelProperty(index = 7)
    private String phone;

    /**
     * 注册地址
     */
    @ExcelProperty(index = 8)
    private String address;

    /**
     * 注册资金
     */
    @ExcelProperty(index = 9)
    private String money;

    /**
     * 公司营业范围
     */
    @ExcelProperty(index = 10)
    private String  businessScope;

    /**
     * 备注
     */
    @ExcelProperty(index = 11)
    private String  remark;

    /**
     * 公司成立时间
     */
    @ExcelProperty(index = 12)
    private Date companyCreateTime;

    /**
     * 内网邮箱
     */
    @ExcelProperty(index = 13)
    private String  intranetMail;

    /**
     * 外网邮箱
     */
    @ExcelProperty(index = 14)
    private String  outsideMail;

    /**
     * 开户行号
     */
    @ExcelProperty(index = 15)
    private String  openingBankNumber;

    /**
     * 开户行
     */
    @ExcelProperty(index = 16)
    private String  openingBank;

    /**
     * 银行账号
     */
    @ExcelProperty(index = 17)
    private String  bankAccount;

    /**
     * 开户联行号-电子
     */
    @ExcelProperty(index = 18)
    private String  openingBankNumberD;

    /**
     * 开户行-电子
     */
    @ExcelProperty(index = 19)
    private String  openingBankD;

    /**
     * 银行账号-电子
     */
    @ExcelProperty(index = 20)
    private String  bankAccountD;
}
