package com.migao.entity.vo.res;

import com.migao.entity.po.DemandAttachment;
import com.migao.entity.po.DemandLibrary;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.math.BigDecimal;
import java.util.ArrayList;
import java.util.List;

/**
 * @author dingsong
 */
@NoArgsConstructor
@AllArgsConstructor
@Builder
@Data
public class DemandLibraryQueryRes {
    @ApiModelProperty(value = "主键")
    private Integer id;

    @ApiModelProperty(value = "需求编号")
    private String demandNumber;

    @ApiModelProperty(value = "需求名称")
    private String demandName;

    @ApiModelProperty(value = "需求内容")
    private String demandContent;

    @ApiModelProperty(value = "需求分类")
    private String demandClass;

    @ApiModelProperty(value = "提交单位")
    private String unitName;

    @ApiModelProperty(value = "需求状态")
    private String demandStatus;

    @ApiModelProperty(value = "需求进度")
    private BigDecimal demandSchedule;

    @ApiModelProperty(value = "关联项目")
    private String associatedProjectId;

    @ApiModelProperty(value = "提交人")
    private String submitter;

    @ApiModelProperty(value = "附件")
    private List<DemandAttachmentRes> demandA = new ArrayList<>();

    @ApiModelProperty(value = "子项目")
   private  List<DemandLibrary> demandB = new ArrayList<>();
}
