package com.migao.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.migao.config.constant.ExamineStatus;
import com.migao.config.constant.FinancesStatus;
import com.migao.config.response.PageBean;
import com.migao.config.response.ResponseBean;
import com.migao.entity.po.Finances;
import com.migao.entity.vo.req.FinancesInsertReq;
import com.migao.entity.vo.req.FinancesPageQueryReq;
import com.migao.entity.vo.req.FinancesUpdateReq;
import com.migao.entity.vo.res.FinancesQueryRes;

import java.util.List;

/**
 * @author dingsong
 */
public interface FinancesService {
    ResponseBean<PageBean<FinancesQueryRes>> pageQuery(FinancesPageQueryReq financesPageQueryReq);

    ResponseBean<?> update(FinancesUpdateReq financesUpdateReq);

    ResponseBean<?> deleteBatch(List<Integer> ids);

    ResponseBean<?> deleteById(Integer id);

    ResponseBean<?> insert(FinancesInsertReq financesInsertReq);

    ResponseBean<Finances> findById(Integer id);

    ResponseBean<?> approve(Integer id, ExamineStatus status);
}
