package com.migao.service;

import com.migao.config.response.PageBean;
import com.migao.config.response.ResponseBean;
import com.migao.entity.vo.req.ProjecmemberInsertReq;
import com.migao.entity.vo.req.ProjecmemberPageQueryReq;
import com.migao.entity.vo.req.ProjecmemberQueryReq;
import com.migao.entity.vo.req.ProjecmemberUpdateReq;
import com.migao.entity.vo.res.ProjecmemberQueryRes;

import java.util.List;

public interface ProjecmemberService {

    /**
     * 增
     *
     * @param projecmemberInsertReq projecmemberInsertReq
     * @return ?
     */
    ResponseBean<?> insert(ProjecmemberInsertReq projecmemberInsertReq);

    /**
     * 分页查
     *
     * @param projecmemberPageQueryReq projecmemberPageQueryReq
     * @return projecmemberQueryRes
     */
    ResponseBean<PageBean<ProjecmemberQueryRes>> pageQuery(ProjecmemberPageQueryReq projecmemberPageQueryReq);

    /**
     * 删
     *
     * @param id id
     * @return ?
     */
    ResponseBean<?> deleteById(Integer id);

    /**
     * 批量删
     *
     * @param ids ids
     * @return ?
     */
    ResponseBean<?> deleteBatch(List<Integer> ids);

    /**
     * 改
     *
     * @param projecmemberUpdateReq projecmemberUpdateReq
     * @return ?
     */
    ResponseBean<?> update(ProjecmemberUpdateReq projecmemberUpdateReq);

    /**
     * 查
     *
     * @param projecmemberQueryReq
     * @return ?
     */
    ResponseBean<List<ProjecmemberQueryRes>> query(ProjecmemberQueryReq projecmemberQueryReq);

    ResponseBean<?> findById(Integer id);
}
