package com.migao.service;

import com.migao.config.response.PageBean;
import com.migao.config.response.ResponseBean;
import com.migao.entity.vo.req.ProjecappendInsertReq;
import com.migao.entity.vo.req.ProjecappendPageQueryReq;
import com.migao.entity.vo.req.ProjecappendQueryReq;
import com.migao.entity.vo.req.ProjecappendUpdateReq;
import com.migao.entity.vo.res.ProjecappendQueryRes;

import java.util.List;

public interface ProjectAppendService {

    /**
     * 增
     *
     * @param projecappendInsertReq projecappendInsertReq
     * @return ?
     */
    ResponseBean<?> insert(ProjecappendInsertReq projecappendInsertReq);

    /**
     * 分页查
     *
     * @param projecappendPageQueryReq projecappendPageQueryReq
     * @return projecappendQueryRes
     */
    ResponseBean<PageBean<ProjecappendQueryRes>> pageQuery(ProjecappendPageQueryReq projecappendPageQueryReq);

    /**
     * 删
     *
     * @param id id
     * @return ?
     */
    ResponseBean<?> deleteById(Integer id);

    /**
     * 批量删
     *
     * @param ids ids
     * @return ?
     */
    ResponseBean<?> deleteBatch(List<Integer> ids);

    /**
     * 改
     *
     * @param projecappendUpdateReq projecappendUpdateReq
     * @return ?
     */
    ResponseBean<?> update(ProjecappendUpdateReq projecappendUpdateReq);

    /**
     * 查
     *
     * @param projecappendQueryReq
     * @return ?
     */
    ResponseBean<List<ProjecappendQueryRes>> query(ProjecappendQueryReq projecappendQueryReq);
}
